<script>
  import { slide } from "svelte/transition";
  import { onMount } from "svelte";

  export let open;
  export let key;

  let tid;
  onMount(() => {
    tid = `accordion-content-tid-${key}`;
  });
</script>

{#if open}
  <div transition:slide data-testid={tid}>
    <slot>Content</slot>
  </div>
{/if}
